/**
 * article controller
 */

import { factories } from '@strapi/strapi'

export default factories.createCoreController('api::article.article', ({ strapi }) => ({
  async distinctYears(ctx) {
    try {
      const years = await strapi.service('api::article.article').getDistinctYears();
      ctx.body = years;
    } catch (err) {
      ctx.throw(500, err);
    }
  },

  async findByYear(ctx) {
    try {
      const { year } = ctx.params;
      const { page = '1', pageSize = '10' } = ctx.query as { page?: string, pageSize?: string };

      const result = await strapi.service('api::article.article').findByYear(year, parseInt(page), parseInt(pageSize));
      ctx.body = result;
    } catch (err) {
      ctx.throw(500, err);
    }
  },
}));
